body {
    background-color: #edf7f2;
    margin: 0;
    padding: 0;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

main{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 32px;
    min-height: 100vh;
}

 h1{
    color: #1a1a1a;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.3);
    text-align: center;
}

header{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 12px;
}
.actions{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 36px;
    border: solid 3px;
    width: 100%;
    max-width: 700px;
    padding: 12px;
    border-radius: 20px;
}
.input-create {
    display: flex;
    flex-direction: column; 
    align-items: flex-start; 
    gap: 8px; 
    width: 100%;
}


.input-crud{
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 20px;  
    width: 100%;
    max-width: 350px;
   align-self: center;
   border: solid;
   padding: 26px;
   transition: all 0.3s ease;
   
   
}
.hidden {
    opacity: 0;
    pointer-events: none;
    transform: translateY(-10px);
    
}

.save-button{
border-radius: 999px;
width: 100%;
max-width: 96px;
padding: 12px;
color: #141313;
font-size: large;
cursor: pointer;
}
.save-button:hover{
    background-color: rgb(244, 195, 103);
}

input{
    border-radius: 999px;
    border: solid rgb(65, 64, 64) 2px;
    padding: 12px;
    transition: 0.1s ease;
}
input:focus{
    outline: none;
    border: rgb(25, 25, 25) 2px solid;
    background-color: whitesmoke;
    box-shadow: 0 0 10px rgba(0,0,0,0.2);
}

.add-ctt{
    padding: 16px;
    border: #000000 solid 2px;
    border-radius: 999px;
    transition: 0.3s ease;
    font-size: 15px;
}

.add-ctt:hover{
    background-color: #37dd8a;
    
    color: #000000;
}
.add-ctt:active{
    transform: scale(0.95);
}

.nomes{
    font-size: 26px;
}


.estilizacao{
    width: 100%;
    max-width: 500px;
    border: solid 4px rgb(52, 51, 51);
    border-radius: 10px;
}
article{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    width: 95%;
    max-width:1000px;
    border: solid black 3px;
    border-radius: 16px;
    padding: 40px;
    gap: 40px;

}

.btn-remover{
    border: none;
    background: transparent;
    cursor: pointer;
    margin-left: auto;
}
.info{
    flex: 1;
}

.icone-lixeira{
    width: 25px;
}

.icone-lixeira:hover{
    color: red;
}

.lista-contatos{

    max-height: 400px;
    overflow-y: auto;
    list-style: none;
    padding: 10px;
    padding-top: 0;
    margin: 0;
    background-color: rgb(227, 220, 220);

}
.contato{
    display: flex;
    gap:  20px;
    padding: 16px;
    border-bottom: 1px solid rgb(28, 27, 27);
    align-items: center;
    transition: 0.3s ease;
}

.contato:hover{
    cursor: pointer;
    background-color:rgb(191, 182, 182);
    transform: scale(0.98);
}

.imagem{
    width: 64px;
    height: 64px;
    border-radius: 999px;
}
footer{
    display: flex;
    justify-content: center;
    border-top: solid 3px rgb(61, 58, 58);
    padding: 26px;
    background-color: rgb(228, 225, 225);

}

nav{
    display: flex;
    gap: 20px;
}

a{
    text-decoration: none;
    color: inherit;
}
.erro{
    background-color: rgb(245, 92, 92);
    padding: 10px;
    border: solid 2px rgb(178, 1, 1);
    align-self: center;
    color: #fff;
    border-radius: 16px;
    width: fit-content;
    opacity: 0;
    transform: translateY(5px);
    transition: all 0.2s ease;
   
}

.erro-show{
    opacity: 1;
    transform: translateY(0);
}
.remove{
  display: none;
}

.svg-dark{
    width: 25px;
}
.dark-mode{
    display: flex;
    align-self: flex-end;
    justify-content: center;
    padding: 16px;
}

.button-dark{
    display: flex;
    align-items: center;
    gap: 6px;
    border-radius: 999px;
    padding: 12px;
    font-size: 12px;
    color: rgb(37, 36, 36);
    background-color: whitesmoke;
    transition: 0.3s ease;
    border: 2px solid rgba(0,0,0,0.1);
    
}
.button-dark:hover{
    color: whitesmoke;
    background-color: #2c5f5d;
    border-color: #214947;


}
    
.button-dark:active{
    transform: translateY(1px);
    scale: 0.97;
}
body.dark {
    background-color: #1f1f1f;

}